Subject: Re: linux-next: build warning after merge of Linus' tree

From: David Laight <[email-masked]>
Date: Sun, 27 Apr 2025 12:42:17 +0100

On Tue, 22 Apr 2025 11:20:21 -0700
Linus Torvalds <[email-masked]> wrote:

...
> Right now cc-option uses -Werror to turn all the warnings into errors,
> and thus causes a "unrecognized compiler option" warning to be fatal.

I think that gcc only warns for unknown -Wno-xxx if there are other
error messages.
So even with -Werror they don't cause a compilations failure.

	David